L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Apache OpenJPA : exécution de code via BrokerFactory

Synthèse de la vulnérabilité 

Un attaquant peut utiliser une vulnérabilité via BrokerFactory de Apache OpenJPA, afin d'exécuter du code.
Systèmes vulnérables : Fedora, QRadar SIEM, Tivoli Storage Manager, WebSphere AS Traditional, Oracle Fusion Middleware, Tuxedo, WebLogic.
Gravité de cette menace : 3/4.
Date de création : 18/04/2018.
Références de cette faille : 1671636, cpuapr2018, CVE-2013-1768, FEDORA-2013-12948, FEDORA-2013-12960, FEDORA-2013-12967, ibm10719109, MDVSA-2013:246, RHSA-2013:1185-01, swg21639553, swg21640799, swg21644047, swg24034966, swg27007951, VIGILANCE-VUL-25898.

Description de la vulnérabilité 

Un attaquant peut utiliser une vulnérabilité via BrokerFactory de Apache OpenJPA, afin d'exécuter du code.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Ce bulletin de faille concerne les logiciels ou systèmes comme Fedora, QRadar SIEM, Tivoli Storage Manager, WebSphere AS Traditional, Oracle Fusion Middleware, Tuxedo, WebLogic.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis cybersécurité est important.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de client internet.

Un attaquant avec un niveau de compétence expert peut exploiter cette annonce de faille.

Solutions pour cette menace 

Fedora : nouveaux paquetages openjpa.
De nouveaux paquetages sont disponibles :
  openjpa-2.2.0-3.fc17
  openjpa-2.2.0-3.fc18
  openjpa-2.2.1-6.fc19

IBM QRadar SIEM : patch pour OpenJPA.
Un patch est indiqué dans les sources d'information.

IBM TSM Administration Center : WAS version 7.0.0.29.
IBM WebSphere AS version 7.0.0.29 est corrigé.

IBM WebSphere AS : version 6.1.0.47.
La version 6.1.0.47 est corrigée :
  http://www-01.ibm.com/support/docview.wss?uid=swg24035508&myns=swgws&mynp=OCSSNVBF&mynp=OCSSEQTP&mync=R

IBM WebSphere AS : version 7.0.0.29.
La version 7.0.0.29 est corrigée :
  http://www-01.ibm.com/support/docview.wss?uid=swg24034966&myns=swgws&mynp=OCSS7JFU&mynp=OCSSEQTP&mync=R

IBM WebSphere AS : version 8.0.0.7.
La version 8.0.0.7 est corrigée :
  http://www-01.ibm.com/support/docview.wss?uid=swg24035457

IBM WebSphere AS : version 8.5.5.
La version 8.5.5 est corrigée.

Mandriva : nouveaux paquetages openjpa.
De nouveaux paquetages sont disponibles :
  openjpa-2.2.0-3.1.mbs1

Oracle Fusion Middleware : CPU de avril 2018.
Un Critical Patch Update est disponible :
  https://support.oracle.com/rs?type=doc&id=2353306.1

Red Hat JBoss Fuse : version 6.0.0 patch 2.
La version 6.0.0 patch 2 est corrigée :
https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=jboss.fuse&downloadType=securityPatches&version=6.0.0
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit un patch de vulnérabilité de système. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.